Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::x3d_vrml_grammar< Actions, ErrorHandler > Struct Template Reference

A Spirit grammar for parsing Classic VRML X3D. More...

`#include <openvrml/x3d_vrml_grammar.h>`

List of all members.

## Classes

struct | definition
| Classic VRML X3D grammar definition. More...

## Public Member Functions

| x3d_vrml_grammar (const Actions &actions=Actions(), const ErrorHandler &handler=ErrorHandler())

## Private Attributes

vrml97_grammar< Actions, ErrorHandler > | vrml97_g

## Detailed Description

### template<typename Actions = null_x3d_vrml_parse_actions, typename ErrorHandler = x3d_vrml_parse_error_handler>
struct openvrml::x3d_vrml_grammar< Actions, ErrorHandler >

A Spirit grammar for parsing Classic VRML X3D.